Cannot use ATI Radeon HD 8970M with fglrx(-updates)

Bug #1270494 reported by Li The G No Lie on 2014-01-18
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fglrx-installer-updates (Ubuntu)
Undecided
Unassigned

Bug Description

0. Description
After installing fglrx or fglrx-updates, the driver still doesn't work.

1. Release Information:
> lsb_release -rd
Description: Ubuntu 13.10
Release: 13.10

2. Version
> apt-cache policy fglrx-updates
fglrx-updates:
  Install√© : 2:13.101-0ubuntu3
  Candidat : 2:13.101-0ubuntu3
 Table de version :
 *** 2:13.101-0ubuntu3 0
        500 http://archive.ubuntu.com/ubuntu/ saucy/restricted amd64 Packages
        100 /var/lib/dpkg/status

3. What I expected to happen
fglrxinfo to return information about the graphics card

4. What happened instead

$ fglrxinfo
X Error of failed request: BadRequest (invalid request code or no such operation)
  Major opcode of failed request: 153 (GLX)
  Minor opcode of failed request: 19 (X_GLXQueryServerString)
  Serial number of failed request: 12
  Current serial number in output stream: 12

5. More information

a.)Iit is loaded in the modules:
$lsmod | grep fgl
fglrx 6732964 0
amd_iommu_v2 19054 1 fglrx

b.) Also tried proprietary drivers 13.8, 13.11 (beta) and 13.12 to avail with " [glesx] __glESXExtensionInit: No GL ES2.0 capable screen found!" http://ati.cchtml.com/show_bug.cgi?id=1002

This was generated while trying to force Xorg to use a modified xorg.conf that was meant to use fglrx.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers